unit XData.OpenApi.Service;

interface

uses
  XData.OpenApi.Service.Internal,
  XData.Service.Common;

type
  [ServiceContract]
  [SwaggerExclude]
  IOpenApiService = interface(ICustomOpenApiService)
  ['{DA6A6E61-1AB2-4657-A986-C5E0EAA0EB71}']
  end;

  [ServiceImplementation]
  TOpenApiService = class(TCustomOpenApiService, IOpenApiService, ICustomOpenApiService)
  end;

procedure RegisterOpenApiService;

implementation

procedure RegisterOpenApiService;
begin
  RegisterServiceType(TOpenApiService);
end;

end.
